curl --request POST \
--url https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId}/vendor-details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assignedVendorId": 123
}
'{
"success": true,
"data": {
"id": 123,
"customerName": "<string>",
"email": "<string>",
"phone": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"jobDescription": "<string>",
"jobAmount": 123,
"paidAmount": 123,
"detailedProjectDescription": "<string>",
"generalLeadStatus": "<string>",
"specificLeadStatus": "<string>",
"leadSourceType": "<string>",
"assignedVendorId": 123,
"assignedVendorName": "<string>",
"referrerVendorId": 123,
"referrerVendorName": "<string>",
"postalCode": "<string>",
"city": "<string>",
"serviceBoundary": {
"id": 123,
"name": "<string>",
"urlPath": "<string>",
"cityName": "<string>"
},
"contactTime": "<string>",
"contactMethod": "<string>",
"leadTimeframe": "<string>",
"quoteTimeframe": "<string>",
"projectStage": "<string>",
"renofindLeadType": "<string>",
"jobBudget": 123,
"paymentStatus": "<string>",
"phoneLead": true,
"externalNotes": "<string>",
"essentialInternalNotes": "<string>",
"requiresAction": true,
"requireActionReason": "<string>",
"endCustomer": {
"id": 123,
"name": "<string>",
"email": "<string>",
"phone": "<string>"
}
},
"message": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.renovationfind.com/llms.txt
Use this file to discover all available pages before exploring further.
JWT token issued from the RenovationFind Manager Portal
curl --request POST \
--url https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId}/vendor-details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assignedVendorId": 123
}
'{
"success": true,
"data": {
"id": 123,
"customerName": "<string>",
"email": "<string>",
"phone": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"jobDescription": "<string>",
"jobAmount": 123,
"paidAmount": 123,
"detailedProjectDescription": "<string>",
"generalLeadStatus": "<string>",
"specificLeadStatus": "<string>",
"leadSourceType": "<string>",
"assignedVendorId": 123,
"assignedVendorName": "<string>",
"referrerVendorId": 123,
"referrerVendorName": "<string>",
"postalCode": "<string>",
"city": "<string>",
"serviceBoundary": {
"id": 123,
"name": "<string>",
"urlPath": "<string>",
"cityName": "<string>"
},
"contactTime": "<string>",
"contactMethod": "<string>",
"leadTimeframe": "<string>",
"quoteTimeframe": "<string>",
"projectStage": "<string>",
"renofindLeadType": "<string>",
"jobBudget": 123,
"paymentStatus": "<string>",
"phoneLead": true,
"externalNotes": "<string>",
"essentialInternalNotes": "<string>",
"requiresAction": true,
"requireActionReason": "<string>",
"endCustomer": {
"id": 123,
"name": "<string>",
"email": "<string>",
"phone": "<string>"
}
},
"message": "<string>"
}